Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.solver.event
Interface SolverLifecycleListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  Acceptor, BruteForceSolverPhase, ConstructionHeuristicForager, ConstructionHeuristicSolverPhase, ConstructionHeuristicSolverPhaseLifecycleListener, CustomSolverPhase, DeciderScoreComparatorFactory, EntityIndependentValueSelector, EntityPlacer, EntitySelector, Forager, IterableSelector<T>, ListIterableSelector<T>, LocalSearchSolverPhase, LocalSearchSolverPhaseLifecycleListener, MoveSelector, PillarSelector, Selector, SolverPhase, SolverPhaseLifecycleListener, SubChainSelector, Termination, ValueSelector

All Known Implementing Classes:
  AbstractAcceptor, AbstractCachingEntitySelector, AbstractCachingMoveSelector, AbstractCachingValueSelector, AbstractCompositeTermination, AbstractConstructionHeuristicForager, AbstractDeciderScoreComparatorFactory, AbstractEntitySelector, AbstractForager, AbstractMoveSelector, AbstractSelector, AbstractSolverPhase, AbstractTabuAcceptor, AbstractTermination, AbstractValueSelector, AcceptedForager, AndCompositeTermination, BasicPlumbingTermination, BestSolutionRecaller, CachingEntitySelector, CachingMoveSelector, CachingValueSelector, CartesianProductMoveSelector, ChangeMoveSelector, CompositeAcceptor, CompositeMoveSelector, ConstructionHeuristicSolverPhaseLifecycleListenerAdapter, DefaultBruteForceSolverPhase, DefaultConstructionHeuristicForager, DefaultConstructionHeuristicSolverPhase, DefaultCustomSolverPhase, DefaultLocalSearchSolverPhase, DefaultSubChainSelector, EntityDependentSortingValueSelector, EntityTabuAcceptor, FilteringEntitySelector, FilteringMoveSelector, FromEntityPropertyValueSelector, FromSolutionEntitySelector, FromSolutionPropertyValueSelector, GenericMoveSelector, GreatDelugeAcceptor, InitializedValueSelector, LateAcceptanceAcceptor, LateSimulatedAnnealingAcceptor, LegacySimulatedAnnealingAcceptor, LocalSearchSolverPhaseLifecycleListenerAdapter, MimicRecordingEntitySelector, MimicReplayingEntitySelector, MoveIteratorFactoryToMoveSelectorBridge, MoveListFactoryToMoveSelectorBridge, MoveTabuAcceptor, NaturalDeciderScoreComparatorFactory, OrCompositeTermination, PhaseToSolverTerminationBridge, PillarSwapMoveSelector, PlanningValueSelector, PlanningValueWalker, PlanningVariableWalker, ProbabilityEntitySelector, ProbabilityMoveSelector, ProbabilityValueSelector, QueuedEntityPlacer, ReinitializeVariableValueSelector, SameValuePillarSelector, ScoreAttainedTermination, SelectionCacheLifecycleBridge, ShiftingHardPenaltyDeciderScoreComparatorFactory, ShufflingEntitySelector, ShufflingMoveSelector, ShufflingValueSelector, SimulatedAnnealingAcceptor, SolutionTabuAcceptor, SolverLifecycleListenerAdapter, SolverPhaseLifecycleListenerAdapter, SortingEntitySelector, SortingMoveSelector, SortingValueSelector, StepCountTermination, SubChainChangeMoveSelector, SubChainSwapMoveSelector, SwapMoveSelector, TimeMillisSpendTermination, UnimprovedStepCountTermination, UnionMoveSelector, ValueTabuAcceptor

    public interface SolverLifecycleListener

extends EventListener

Method Summary
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`

Method Detail

### solvingStarted

    void solvingStarted(DefaultSolverScope solverScope)

### solvingEnded

    void solvingEnded(DefaultSolverScope solverScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.